summaryrefslogtreecommitdiff
path: root/source4/lib/ldb/tests
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2005-06-18 07:42:21 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 13:18:24 -0500
commited3d8091ce2b2014350a2f7f22202dde6846a130 (patch)
tree8c1d6ee74907c2c0c2e82b9476ad1db08d7a2179 /source4/lib/ldb/tests
parentd4d6d0d2e54510690fa3f868ad02625bc24e5b9d (diff)
downloadsamba-ed3d8091ce2b2014350a2f7f22202dde6846a130.tar.gz
samba-ed3d8091ce2b2014350a2f7f22202dde6846a130.tar.bz2
samba-ed3d8091ce2b2014350a2f7f22202dde6846a130.zip
r7709: - convert ldb to use popt, so that it can interact with the samba
cmdline credentials code (which will be done soon) - added a ldb_init() call, and changed ldb_connect() to take a ldb context. This allows for much better error handling in ldb_connect(), and also made the popt conversion easier - fixed up all the existing backends with the new syntax - improved error handling in *_connect() - fixed a crash bug in the new case_fold_required() code - ensured that ltdb_rename() and all ltdb_search() paths get the read lock - added a ldb_oom() macro to make it easier to report out of memory situations in ldb code (This used to be commit f648fdf187669d6d87d01dd4e786b03cd420f220)
Diffstat (limited to 'source4/lib/ldb/tests')
-rwxr-xr-xsource4/lib/ldb/tests/test-extended.sh4
-rwxr-xr-xsource4/lib/ldb/tests/test-generic.sh4
2 files changed, 5 insertions, 3 deletions
diff --git a/source4/lib/ldb/tests/test-extended.sh b/source4/lib/ldb/tests/test-extended.sh
index ede66ec567..93ac2db6bd 100755
--- a/source4/lib/ldb/tests/test-extended.sh
+++ b/source4/lib/ldb/tests/test-extended.sh
@@ -1,8 +1,10 @@
#!/bin/sh
+echo "Running extended search tests"
+
rm -f $LDB_URL
-cat <<EOF | bin/ldbadd - || exit 1
+cat <<EOF | bin/ldbadd || exit 1
dn: testrec1
i1: 1
i2: 0
diff --git a/source4/lib/ldb/tests/test-generic.sh b/source4/lib/ldb/tests/test-generic.sh
index 7b82c672be..5e0cc9cec6 100755
--- a/source4/lib/ldb/tests/test-generic.sh
+++ b/source4/lib/ldb/tests/test-generic.sh
@@ -20,7 +20,7 @@ echo "Showing renamed record"
$VALGRIND bin/ldbsearch '(uid=uham)' || exit 1
echo "Starting ldbtest"
-time $VALGRIND bin/ldbtest -r 1000 -s 10 || exit 1
+time $VALGRIND bin/ldbtest --num-records 1000 --num-searches 10 || exit 1
echo "Adding index"
$VALGRIND bin/ldbadd tests/test-index.ldif || exit 1
@@ -42,7 +42,7 @@ $VALGRIND bin/ldbsearch '(objectclass=)' uid || exit 1
$VALGRIND bin/ldbsearch -b 'cn=Hampster Ursula,ou=Alumni Association,ou=People,o=University of Michigan,c=US' -s base "" sn || exit 1
echo "Starting ldbtest indexed"
-time $VALGRIND bin/ldbtest -r 1000 -s 5000 || exit 1
+time $VALGRIND bin/ldbtest --num-records 1000 --num-searches 5000 || exit 1
echo "Testing one level search"
count=`$VALGRIND bin/ldbsearch -b 'ou=Groups,o=University of Michigan,c=US' -s one 'objectclass=*' none |grep ^dn | wc -l`